function x = harris(boxImage, sceneImage)

size = 100;
boxImage = imresize(boxImage, [size size]);
sceneImage = imresize(sceneImage, [size size]);
boxImage = boxImage(:,:,2);
sceneImage = sceneImage(:,:,2);

boxPoints = detectHarrisFeatures(boxImage);
scenePoints = detectHarrisFeatures(sceneImage);

% boxPoints = detectFASTFeatures(boxImage);
% scenePoints = detectFASTFeatures(sceneImage);

[boxFeatures, ~] = extractFeatures(boxImage, boxPoints);
[sceneFeatures, ~] = extractFeatures(sceneImage, scenePoints);

% [boxFeatures, ~] = extractFeatures(boxImage, boxPoints, 'Method', 'FREAK');
% [sceneFeatures, ~] = extractFeatures(sceneImage, scenePoints, 'Method', 'FREAK');

boxPairs = matchFeatures(boxFeatures, sceneFeatures);
x = length(boxPairs);